Subject: [alpine-devel] [PATCH] testing/multipath: new aport

From: Leonardo Arena <[email-masked]>
Date: Tue, 31 Mar 2009 16:27:33 +0200

It builds, but it will be somehow broken, since it expects to work with
udev.
I need to check exactly what it needs to be done to make it work with mdev.
leo
From b5ead4c86b5aad4a49c072cf98f12e66d9319c58 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <[email-masked]>
Date: Tue, 31 Mar 2009 14:21:48 +0000
Subject: [PATCH] testing/multipath: new aport

---
 testing/multipath-tools/APKBUILD       |   27 +++++++++++++++++++++++++++
 testing/multipath-tools/Makefile.patch |   11 +++++++++++
 2 files changed, 38 insertions(+), 0 deletions(-)
 create mode 100644 testing/multipath-tools/APKBUILD
 create mode 100644 testing/multipath-tools/Makefile.patch

diff --git a/testing/multipath-tools/APKBUILD b/testing/multipath-tools/APKBUILD
new file mode 100644
index 0000000..e55f331
--- /dev/null
+++ b/testing/multipath-tools/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Leonardo Arena <[email-masked]>
+# Maintainer: Leonardo Arena <[email-masked]>
+pkgname="multipath-tools"
+pkgver=0.4.8
+pkgrel=0
+pkgdesc="Device Mapper Multipathing Driver"
+url="http://christophe.varoqui.free.fr/"
+license="GPL"
+depends="uclibc device-mapper libaio readline"
+makedepends="device-mapper-dev libaio-dev readline-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://christophe.varoqui.free.fr/$pkgname/$pkgname-$pkgver.tar.bz2
+	Makefile.patch"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	patch Makefile < ../../Makefile.patch
+	find . -name Makefile -exec sed -i -e 's/glibc/uclibc/g' {} \;
+
+	make prefix="$pkgdir/usr" sysconfdir="$pkgdir/etc" mandir="$pkgdir/usr/share/man" infodir="$pkgdir/usr/share/info" || return 1
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="3563b863b408d07c46929b6e8c2c248c  multipath-tools-0.4.8.tar.bz2
+92318268d20a9622cdb9909d153c4ccd  Makefile.patch"
diff --git a/testing/multipath-tools/Makefile.patch b/testing/multipath-tools/Makefile.patch
new file mode 100644
index 0000000..ddf7058
--- /dev/null
+++ b/testing/multipath-tools/Makefile.patch
@@ -0,0 +1,11 @@
+--- src/multipath-tools-0.4.8/Makefile	Thu Aug  2 21:05:37 2007
++++ Makefile	Fri Feb 27 09:57:19 2009
+@@ -20,7 +20,7 @@
+ export KRNLSRC
+ export KRNLOBJ
+ 
+-BUILDDIRS = $(shell find . -mindepth 2 -name Makefile -exec dirname {} \; | grep -vE '^lib|/\.')
++BUILDDIRS = $(shell find . -name Makefile -exec dirname {} \; | grep -vE '^lib|/\.'|grep -v '^\.$$')
+ 
+ ifeq   ($(MULTIPATH_VERSION),)
+ VERSION = $(shell basename ${PWD} | cut -d'-' -f3)
-- 
1.6.1.3